name="appmenu-gtk-module"
version='24.05'
release='1'
desc="Application Menu GTK+ Module."
homepage="https://gitlab.com/vala-panel-project/vala-panel-appmenu/"
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('LGPL-3.0-only')
provides=('appmenu-gtk-module')
conflicts=('appmenu-gtk-module')

build_deps=(
    'git'
    'gtk2-devel'
    'gtk3-devel'
    'meson'
)

optdepends=('gtk2: GTK2 module'
            'gtk3: GTK3 module')

sources=("git+https://gitlab.com/vala-panel-project/vala-panel-appmenu#tag=$version")
checksums=('SKIP')

_app_id="org.$pkgname.CoolerControl"

build() {
  meson build vala-panel-appmenu/subprojects/$name \
    --prefix=/usr
  ninja -C build
}

package() {
  DESTDIR="$pkgdir" ninja install -C build
  install -Dm755 $scriptdir/80-appmenu-gtk-module.sh -t "$pkgdir"/etc/X11/xinit/xinitrc.d/
}

