name='arrpc'
version='3.5.0'
release='1'
desc='Open Discord RPC server for atypical setups'
homepage='https://electronjs.org'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('arrpc')
conflicts=('arrpc-git')

deps=('glibc' 'gcc-libs')
deps_redos=('glibc' 'libgcc')
build_deps=('npm' 'git')

sources=("git+https://github.com/OpenAsar/arrpc.git")
checksums=('SKIP')

build() {
    cd "${srcdir}/arrpc/"
    patch ./src/index.js ${scriptdir}/async.patch
    npm i esbuild pkg
    # use node 18 as pkg apparently doesn't support 19 yet
    npx esbuild --bundle --platform=node --target=node18 --outdir=dist ./src/index.js
    npx pkg -t node18-linux-x64 -o arrpc  ./dist/index.js
}

package() {
    cd "${srcdir}/arrpc"
    install-binary ./arrpc
    install-license ./LICENSE arrpc/LICENSE
    install-systemd-user ${scriptdir}/arrpc.service
}