name='avrdude'
epoch='1'
version='7.3'
release='2'
desc='Download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers'
homepage='https://github.com/avrdudes/avrdude/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL')
provides=('avrdude')
conflicts=('avrdude' 'avrdude-git')

deps=(
    'elfutils'
    'hidapi'
    'libftdi'
    'libusb'
    'readline'
)

build_deps=(
      'cmake'
      'ninja-build'
      'flex'
      'bison'
)

sources=("https://github.com/avrdudes/avrdude/archive/refs/tags/v${version}.tar.gz")
checksums=('SKIP')

build() {
  cd ${name}-${version}

  cmake -B build \
    -G Ninja \
    -D CMAKE_INSTALL_PREFIX=/usr \
    -D CMAKE_INSTALL_SYSCONFDIR=/etc \
    -D CMAKE_BUILD_TYPE=RelWithDebInfo \
    -D BUILD_SHARED_LIBS=1 \
    -D HAVE_LINUXGPIO=1 \
    -D HAVE_LINUXSPI=1
  ninja -C build
}

package() {
  cd ${name}-${version}

  DESTDIR="${pkgdir}" ninja -C build install
}
