name='catch2'
version='3.8.0'
release='1'
desc='Modern, C++-native, header-only, test framework for unit-tests, TDD and BDD.'
homepage='https://github.com/catchorg/catch2'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('BSL-1.0')
provides=('catch2')
conflicts=('catch2', 'catch2-devel')

build_deps=(
    'git'
    'cmake'
    'python3'
)

sources=("git+https://github.com/catchorg/catch2.git#tag=v${version}")
checksums=('SKIP')

build() {
  cd $srcdir/$name

  unset CXXFLAGS
  cmake -B ./build \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DCATCH_BUILD_EXAMPLES=OFF \
    -DCATCH_ENABLE_COVERAGE=OFF \
    -DCATCH_ENABLE_WERROR=OFF \
    -DBUILD_TESTING=OFF \
    -DBUILD_SHARED_LIBS=OFF

  cmake --build ./build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="${pkgdir}" cmake --install "${name}"/build
}

