name='discord-bin'
version='0.0.90'
release='1'
desc='All-in-one voice and text chat for gamers'
desk_ru='Всё в одном голосовое и текстовое общение для игроков'
homepage='https://discord.com/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('custom')
provides=('discord')
conflicts=('discord')

deps=(
  'libnotify'
  'libXss'
  'nspr'
  'nss'
  'gtk3'
  'pulseaudio-libs'
  'libappindicator-gtk3'
  'xdg-utils'
)
deps_redos=(
  'libnotify'
  'libXScrnSaver'
  'nspr'
  'nss'
  'gtk3'
  'pulseaudio-libs'
  'libappindicator-gtk3'
  'xdg-utils'
)
deps_arch=(
  'libnotify'
  'libxss'
  'nspr'
  'nss'
  'gtk3'
  'libpulse'
  'libappindicator-gtk3'
  'xdg-utils'
)

sources=(
  "https://dl.discordapp.net/apps/linux/${version}/discord-${version}.tar.gz"
  "https://discordapp.com/terms"
  "https://discordapp.com/licenses"
)
checksums=(
  'SKIP'
  'SKIP'
  'SKIP'
)

scripts=(
	['postinstall']='postinstall.sh'
)

prepare() {
  cd Discord
  sed -i "s|Exec=.*|Exec=/usr/bin/discord|" discord.desktop
}

package() {
  install -d "$pkgdir"/opt/discord
  cp -a Discord/. "$pkgdir"/opt/discord

  rm "$pkgdir"/opt/discord/postinst.sh

  install -d "$pkgdir"/usr/bin
  ln -s /opt/discord/Discord "$pkgdir"/usr/bin/discord

  install-desktop "$pkgdir"/opt/discord/discord.desktop

  install -Dm644 "$pkgdir"/opt/discord/discord.png "$pkgdir"/usr/share/icons/hicolor/256x256/apps/discord.png

  install-license ./terms ./discord/LICENSE.html
  install-license ./licenses discord/OSS-LICENSES.html
}

files() {
	printf '"%s" ' ./opt/discord/**/*
  	echo ./usr/bin/discord
  	echo ./usr/share/applications/discord.desktop
  	echo ./usr/share/icons/hicolor/256x256/apps/discord.png
}

