name='flake8'
epoch='2'
version='7.1.0'
release='1'
desc='The modular source code checker: pep8, pyflakes and co'
homepage='https://flake8.pycqa.org'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('flake8')
conflicts=('flake8' 'flake8-git')

deps=(
    'python3-pyflakes'
    'python3-mccabe'
    'python3-pycodestyle'
    'python3-entrypoints'
)

build_deps=(
    python3-setuptools
)

sources=("https://github.com/PyCQA/flake8/archive/${version}/${name}-${version}.tar.gz")
checksums=('SKIP')

prepare() {
  sed -i -e 's/,<[0-9=.]*//' flake8-${version}/setup.cfg

  sed -i '/error/a \    ignore:Creating a LegacyVersion has been deprecated and will be removed in the next major release:DeprecationWarning' flake8-${version}/pytest.ini
}

build() {
  cd flake8-$version
  python setup.py build
}

package() {
  cd flake8-$version
  python setup.py install --root="${pkgdir}" --prefix=/usr --optimize=1
  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$name/LICENSE
}
