name='gpu-screen-recorder-notification'
version='1.0.4'
release='2'
desc='Notification in the style of ShadowPlay.'
desk_ru='Уведомления в стиле ShadowPlay'
homepage='https://git.dec05eba.com/gpu-screen-recorder-notification'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL-3.0-only')
provides=('gsr-notify')
conflicts=('gsr-notify')

deps=(
  "libglvnd"
  "libX11"
  "libXrandr"
  "libXrender"
  "libXext"
)

deps_arch=(
  'libglvnd'
  'libx11'
  'libxrandr'
  'libxrender'
  'libxext'
)

build_deps=(
  "meson"
  "ninja-build"
  "libglvnd-devel"
  "libX11-devel"
  "libXrandr-devel"
  "libXrender-devel"
  "libXext-devel"
)
build_deps_arch=(
  "meson"
  "ninja"
)

sources=("https://dec05eba.com/snapshot/gpu-screen-recorder-notification.git.${version}.tar.gz")
checksums=('SKIP')

build() {
  cd "$srcdir"
  meson setup build --prefix=/usr --buildtype=release -Dstrip=true
  ninja -C build -j $(($(nproc) - 1))
}

package() {
  cd "$srcdir"
  meson install -C build --destdir="$pkgdir"
}


files() {
  echo ./usr/bin/gsr-notify
  printf '"%s" ' ./usr/share/gsr-notify/fonts/*
  printf '"%s" ' ./usr/share/gsr-notify/images/*
}