name='gpu-screen-recorder'
version='5.3.3'
release='4'
desc='A shadowplay-like screen recorder for Linux. The fastest screen recorder for Linux.'
desk_ru='Экранный рекордер, похожий на ShadowPlay для Linux. Самый быстрый экранный рекордер для Linux.'
homepage='https://git.dec05eba.com/gpu-screen-recorder'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL-3.0-only')
provides=('gpu-screen-recorder' 'gsr-kms-server')
conflicts=('gpu-screen-recorder' 'gsr-kms-server')

deps=(
  "ffmpeg"
  "libglvnd"
  "libXcomposite"
  "libXrandr"
  "libXfixes"
  "libXdamage"
  "libX11"
  "pulseaudio-libs"
  "libva"
  "libdrm"
  "libcap"
  "pipewire-libs"
  "dbus"
)
deps_arch=(
  "ffmpeg"
  "libglvnd"
  "libxcomposite"
  "libxrandr"
  "libxfixes"
  "libxdamage"
  "libx11"
  "libpulse"
  "libva"
  "libdrm"
  "libcap"
  "wayland"
  "libpipewire"
  "dbus"
)

build_deps=(
  "meson"
  "ninja-build"
  "vulkan-headers"
  "ffmpeg-devel"
  "libXcomposite-devel"
  "libXrandr-devel"
  "libXdamage-devel"
  "pulseaudio-libs-devel"
  "libva-devel"
  "libcap-devel"
  "libdrm-devel"
  "pipewire-devel"
  "dbus-devel"
)
build_deps_arch=(
  "meson"
  "ninja"
  "vulkan-headers"
)

sources=("https://dec05eba.com/snapshot/gpu-screen-recorder.git.${version}.tar.gz")
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

build() {
  cd "$srcdir"
  meson setup build --prefix=/usr --buildtype=release -Dstrip=true
  ninja -C build -j $(($(nproc) - 1))
}

package() {
  cd "$srcdir"
  meson install -C build --destdir="$pkgdir"
}


files() {
  echo ./usr/bin/gpu-screen-recorder
  echo ./usr/bin/gsr-kms-server
  echo ./usr/lib/modprobe.d/gsr-nvidia.conf
  echo ./usr/lib/systemd/user/gpu-screen-recorder.service
}