name='karchive'
version='6.7.0'
release='1'
desc='Qt addon providing access to numerous types of archives.'
homepage='https://community.kde.org/Frameworks'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('LGPL-2.0-only' 'LGPL-3.0-only')

deps=(
    'bzip2'
    'libgcc'
    'glibc'
    'qt6-qtbase'
    'xz'
    'zlib'
    'zstd'
)
build_deps=(
    'doxygen'
    'extra-cmake-modules'
    'qt6-doctools'
    'qt6-qttools-devel'
    'libzstd-devel'
    'bzip2-devel'
)

sources=("https://download.kde.org/stable/frameworks/${version%.*}/$name-$version.tar.xz")
checksums=('SKIP')

build() {
  cmake -B build -S $name-$version \
    -DBUILD_TESTING=OFF \
    -DBUILD_QCH=ON
  cmake --build build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
