name='kdoctools'
version='6.7.0'
release='1'
desc='RDocumentation generation from docbook.'
homepage='https://community.kde.org/Frameworks'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('LGPL-2.0-only' 'LGPL-3.0-only')

deps=(
    'docbook-style-xsl'
    'libgcc'
    'glibc'
    'karchive'
    'libxml2'
    'libxslt'
    'qt6-qtbase'

)
build_deps=(
    'doxygen'
    'extra-cmake-modules'
    'ki18n'
    'perl-URI'
    'qt6-doctools'
    'qt6-qttools-devel'
    'libxslt-devel'
    'docbook-style-xsl'
)

sources=("https://download.kde.org/stable/frameworks/${version%.*}/$name-$version.tar.xz")
checksums=('SKIP')

build() {
  cmake -B build -S $name-$version \
    -DBUILD_TESTING=OFF \
    -DBUILD_QCH=ON \
    -DDocBookXSL_DIR=/usr/share/sgml/docbook/xsl-stylesheets
  cmake --build build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}


