name='kguiaddons'
version='6.7.0'
release='1'
desc='Addons to QtGui.'
homepage='https://community.kde.org/Frameworks'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('LGPL-2.0-only' 'LGPL-3.0-only')

deps=(
    'libgcc'
    'glibc'
    'libX11'
    'qt6-qtbase'
    'qt6-qtwayland'
    'wayland'
)
build_deps=(
    'doxygen'
    'extra-cmake-modules'
    'plasma-wayland-protocols-devel'
    'qt6-qtbase-devel'
    'qt6-qtbase-gui'
    'qt6-qtmultimedia-devel'
    'qt6-qtwayland-devel'
    'qt6-qtdeclarative'
    'qt6-doctools'
    'qt6-qttools-devel'
)
opt_deps=(
    'qt6-qtdeclarative: ktranscript plugin and QML bindings'
)

sources=("https://download.kde.org/stable/frameworks/${version%.*}/$name-$version.tar.xz")
checksums=('SKIP')

build() {
  cmake -B build -S $name-$version \
    -DBUILD_TESTING=OFF \
    -DBUILD_QCH=ON
  cmake --build build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}



