name='libndi-git'
version='latest'
release='1'
desc='Library to interact with Network Device Interface (NDI) streams (git version)'
homepage='https://code.videolan.org/jbk/libndi/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('LGPL')
provides=('libndi')
conflicts=('libndi')

deps=('libmicrodns')
build_deps=('cmake' 'git' 'meson' 'ffmpeg-devel' 'libmicrodns-devel')

sources=("git+https://code.videolan.org/jbk/libndi.git")
checksums=('SKIP')

version() {
	cd "$srcdir/libndi"
	git-version
}

build() {
    meson build libndi
    ninja -v -C build
}

check() {
    ninja -v -C build test
}

package() {
    DESTDIR="$pkgdir" ninja -v -C build install
    install -d $pkgdir/usr/local/lib/
    ln -s $pkgdir/usr/local/lib64/libndi.so.0.0.1 $pkgdir/usr/local/lib/libndi.so.0.0.1
    ln -s $pkgdir/usr/local/lib64/libndi.so.0.0.1 $pkgdir/usr/local/lib/libndi.so.0
    ln -s $pkgdir/usr/local/lib64/libndi.so.0.0.1 $pkgdir/usr/local/lib/libndi.so
}
