name='nv-codec-headers'
version='12.2.72.0'
release='1'
desc='FFmpeg version of headers required to interface with Nvidias codec APIs.'
homepage='https://github.com/FFmpeg/nv-codec-headers'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='MIT'
provides=('nv-codec-headers')
conflicts=('nv-codec-headers' 'nv-codec-headers-git')

build_deps_rosa=('cmake' 'git')
sources=("https://github.com/FFmpeg/nv-codec-headers/releases/download/n12.2.72.0/nv-codec-headers-${version}.tar.gz")
checksums=('SKIP')

build() {
    cd "${srcdir}"
    mkdir build
    cd ./build
    cmake ../json -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF
    make -j$(nproc)
}

check() {
    cd "${srcdir}/build"
    cmake ../json -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=ON
    make -j$(nproc)
    ctest --output-on-failure
}

package() {
    cd "${srcdir}/build"
    make "DESTDIR=${pkgdir}" install
}
