name='obsidian-bin'
version='1.8.9'
release='1'
desc='A powerful knowledge base that works on top of a local folder of plain text Markdown files'
homepage='https://obsidian.md/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('custom:Commercial')
provides=('obsidian')
conflicts=('obsidian')

deps=('zlib' 'hicolor-icon-theme' 'fuse3' 'electron-bin')
deps_debian=('zlib1g' 'hicolor-icon-theme' 'fuse3')
build_deps=('npm')

sources_amd64=("https://github.com/obsidianmd/obsidian-releases/releases/download/v${version}/obsidian-${version}.tar.gz")
checksums_amd64=('SKIP')

prepare() {
	mkdir ~/.npm
	cd ~/.npm
	npm install --engine-strict asar

	cd "${srcdir}"
	~/.npm/node_modules/asar/bin/asar.js ef "obsidian-${version}/resources/obsidian.asar" icon.png
}

package() {
	install-binary "${scriptdir}/obsidian"
	install-desktop "${scriptdir}/obsidian.desktop"
	install -Dm644 ./icon.png "${pkgdir}/usr/share/pixmaps/obsidian.png"
	mkdir -p "${pkgdir}/usr/lib/obsidian"
	cp -a "${srcdir}/obsidian-${version}/resources/." "${pkgdir}/usr/lib/obsidian"
}
