name='poetry'
version='2.1.2'
release='2'
desc='Python dependency management and packaging made easy.'
homepage='https://python-poetry.org'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('poetry')
conflicts=('poetry')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip" "python3-build")
build_deps_arch=("python" "python-pip" "python-build")
build_deps_alpine=("python3" "py3-pip" "py3-build")

sources=("https://files.pythonhosted.org/packages/source/p/poetry/poetry-2.1.2.tar.gz")
checksums=('blake2b-256:7e96187b538742df11fe32beca5c146d9522b1fd9f42897f0772ff8dfc04972f')

build() {
  cd "$srcdir/poetry-${version}"
  python3 -m build
}

package() {
  cd "$srcdir/poetry-${version}"
  pip install --root="${pkgdir}/" . --no-deps --disable-pip-version-check
}

files() {
  echo ./usr/local/bin/poetry
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry-${version}.dist-info/*
}