name='portproton'
version='1.7.1'
release='1'
desc='PortProton is a project designed to make it easy and convenient to run Windows games on Linux for both beginners and advanced users.'
homepage='https://linux-gaming.ru/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='MIT'
provides=('portproton')
conflicts=('portproton')

deps_arch=('bash' 'icoutils' 'yad' 'bubblewrap' 'zstd' 'cabextract' 'gzip' 'tar' 'openssl' 'desktop-file-utils' 'curl' 'dbus' 'freetype2' 'xdg-utils' 'gdk-pixbuf2' 'ttf-font' 'nss' 'xorg-xrandr' 'mesa-utils' 'vulkan-driver' 'vulkan-icd-loader' 'lib32-libgl' 'lib32-gcc-libs' 'vulkan-tools' 'lib32-libx11' 'lib32-libxss' 'lib32-alsa-plugins' 'lib32-libgpg-error' 'lib32-gnutls' 'lib32-freetype2' 'lib32-nss' 'lib32-vulkan-driver' 'lib32-vulkan-icd-loader' 'lib32-openssl' 'lib32-mesa-utils' 'python-pillow' 'lib32-pipewire' 'jq')
deps_debian=('apt (>= 1.6)' 'apt-transport-https' 'ca-certificates' 'coreutils (>= 8.23-1)' 'curl' 'file' 'libc6 (>= 2.15)' 'libnss3 (>= 2:3.26)' 'policykit-1' 'xz-utils' 'bubblewrap' 'icoutils' 'tar' 'vulkan-tools' 'libvulkan1' 'zstd' 'cabextract' 'xdg-utils' 'openssl' 'bc' 'libgl1' 'wmctrl' 'pciutils' 'desktop-file-utils' 'fontconfig' 'imagemagick' 'yad' 'jq')
deps_fedora=('yad' 'curl' 'icoutils' 'libcurl' 'bubblewrap' 'zstd' 'cabextract' 'tar' 'goverlay' 'openssl' 'vulkan-loader(x86-32)' 'vulkan-loader' 'mesa-vulkan-drivers' 'mesa-vulkan-drivers(x86-32)' 'mesa-libGL' 'mesa-dri-drivers' 'mesa-dri-drivers(x86-32)' 'ImageMagick' 'jq')
deps_redos=('bash' 'icoutils' 'yad' 'bubblewrap' 'zstd' 'cabextract' 'gzip' 'tar' 'openssl' 'desktop-file-utils' 'curl' 'dbus-broker' 'freetype' 'xdg-utils' 'gdk-pixbuf2' 'gnu-free-mono-fonts' 'gnu-free-sans-fonts' 'gnu-free-serif-fonts' 'nss-tools' 'libXrandr' 'mesa-demos' 'mesa-vulkan-drivers' 'vulkan-loader' 'vulkan-tools' 'libglvnd(x86-32)' 'libgcc(x86-32)' 'ImageMagick' 'libX11(x86-32)' 'libXScrnSaver(x86-32)' 'alsa-lib(x86-32)' 'libgpg-error(x86-32)' 'python3-pillow' 'jq')

opt_deps_arch=('gamemode: Support for Feral GameMode'
	'lib32-gamemode: 32-bit support for Feral GameMode'
	'gamescope: Support for Gamescope'
	'icoextract: For proper icon creation in GNOME')
opt_deps_fedora=('gamemode: Support for Feral GameMode'
	'gamescope: Support for Gamescope'
	'icoextract: For proper icon creation in GNOME')
opt_deps_debian=('gamemode: Support for Feral GameMode'
	'gamescope: Support for Gamescope'
	'python3-icoextract: For proper icon creation in GNOME')
opt_deps_redos=('gamemode: Support for Feral GameMode'
	'gamescope: Support for Gamescope')

sources=(
	"git+https://github.com/Castro-Fidel/PortProton_ALT.git#tag=v${version}"
)

checksums=(
	'SKIP'
)

scripts=(
	['preinstall']='preinstall.sh'
)

package() {
	cd PortProton_ALT
	install -Dm755 "portproton" "${pkgdir}/usr/bin/${name}"
	install -Dm644 "ru.linux_gaming.PortProton.desktop" "${pkgdir}/usr/share/applications/${name}.desktop"
	install -Dm644 "ru.linux_gaming.PortProton.svg" "${pkgdir}/usr/share/icons/hicolor/scalable/apps/ru.linux_gaming.PortProton.svg"
	install -Dm644 "ru.linux_gaming.PortProton.metainfo.xml" -t "${pkgdir}/usr/share/metainfo/"
	install -Dm644 "LICENSE" "${pkgdir}/usr/share/licenses/${name}/LICENSE"
}
