name='prison'
version='6.7.0'
release='1'
desc='A barcode API to produce QRCode barcodes and DataMatrix barcodes.'
homepage='https://community.kde.org/Frameworks'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('MIT')

deps=(
    'libgcc'
    'glibc'
    'libdmtx'
    'qrencode'
    'qt6-qtbase'
    'qt6-qtmultimedia'
    'libZXing3'
)
build_deps=(
    'doxygen'
    'extra-cmake-modules'
    'qrencode-devel'
    'qt6-qtdeclarative'
    'qt6-doctools'
    'qt6-qttools'
)

sources=("https://download.kde.org/stable/frameworks/${version%.*}/$name-$version.tar.xz")
checksums=('SKIP')

build() {
  cmake -B build -S $name-$version \
    -DBUILD_TESTING=OFF \
    -DBUILD_QCH=ON
  cmake --build build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
