name='protonup-qt'
version='2.9.2'
release='3'
desc='GUI for installing and updating Proton-GE for Steam and Wine-based compatibility tools like Wine-GE for Lutris. Partly based on protonup.'
homepage='https://github.com/DavidoTek/ProtonUp-Qt'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='GPLv3'
provides=('protonup-qt')
conflicts=('protonup-qt')

deps_arch=('pyside6' 'python-inputs' 'python-psutil' 'python-requests' 'python-setproctitle' 'python-steam' 'python-vdf' 'python-pyxdg' 'python-pyaml' 'qt6-tools')
build_deps_arch=('python3-build' 'python-setuptools' 'python-wheel')
build_deps_redos=('python3-build' 'python3-installer' 'python3-setuptools' 'python3-steam' 'python3-zstandard' 'python3-wheel')
deps_rosa=('python3-psutil' 'python3-requests' 'python3-setproctitle' 'python3-pyxdg' 'qt6-qttools')
build_deps_rosa=('python3-build' 'python3-setuptools' 'python3-wheel' 'python3-pip')
#deps=('')

sources=("https://github.com/DavidoTek/ProtonUp-Qt/archive/refs/tags/v${version}.tar.gz")
checksums=('SKIP')

build() {
	cd "${srcdir}/ProtonUp-Qt-${version}"
	python -m build --wheel --no-isolation
}

prepare() {
	sed -i 's|Exec=net.davidotek.pupgui2|Exec=/usr/bin/protonup-qt|' ${srcdir}/ProtonUp-Qt-${version}/share/applications/net.davidotek.pupgui2.desktop
	}

package() {
	cd "${srcdir}/ProtonUp-Qt-${version}"
	python3 -m installer --destdir="${pkgdir}" dist/*.whl
	cp -r ./share "${pkgdir}/usr/"
	install -Dm755 "${scriptdir}/ProtonUP-qt.sh" "${pkgdir}/usr/bin/${name}"
}
