_pkgname=markdown-it-py
name='python3-markdown-it-py'
version='3.0.0'
release='3'
desc='Python port of markdown-it. Markdown parsing, done right!'
homepage='https://github.com/executablebooks/markdown-it-py'
license=('MIT')
architectures=('all')

deps=(
  'python3-mdurl'
)
build_deps=(
  'python3-build'
  'python3-flit-core'
  'python3-installer'
  'python3-pytest'
  'python3-pytest-regressions'
  'python3-mdit-py-plugins'
  'python3-linkify-it-py'
)
build_deps_almalinux=(
  'python3-build'
  'python3.11-flit-core'
  'python3-installer'
  'python3-pytest'
  'python3-pytest-regressions'
  'python3-mdit-py-plugins'
  'python3-linkify-it-py'
)
#opt_deps=(
#  'python-mdit_py_plugins: core plugins'
#)

sources=("https://github.com/executablebooks/markdown-it-py/archive/v$version.tar.gz")
checksums=('SKIP')

build() {
  cd $_pkgname-$version

  python -m build
}

check() {
  cd $_pkgname-$version

  python -m pytest tests
}

package() {
  cd $_pkgname-$version

  python -m installer -d "$pkgdir" dist/*.whl

  install-license ./LICENSE ./$_pkgname/LICENSE
}

