name='python3-milc'
version='1.8.0'
release='1'
desc='Opinionated Batteries-Included Python 3 CLI Framework.'
homepage='https://milc.clueboard.co/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('milc-color')
conflicts=('milc-color')

deps=(
    'python3-appdirs'
    'python3-argcomplete'
    'python3-colorama'
    'python3-halo'
)
build_deps=(
    'python3-setuptools'
)

sources=("https://github.com/clueboard/milc/archive/${version}.tar.gz")
checksums=('SKIP')

build() {
    cd "milc-${version}"
    python setup.py build
}

check() {
    cd "milc-${version}"
    rm tests/test_script*.py
    nose2
}

package() {
    cd "milc-${version}"
    python setup.py install --root="${pkgdir}/" --optimize=1 --skip-build
    install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${name}/LICENSE"
}


