name='qca-qt6'
version='2.3.9'
release='1'
desc='Qt Cryptographic Architecture.'
homepage='https://userbase.kde.org/QCA'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('LGPL-2.1-or-later')
provides=('qca-qt6')
conflicts=('qca-qt6' 'qca-qt6-bin' 'qca-qt6-git')

deps=(
    'ca-certificates'
    'libgcc'
    'glibc'
    'nss'
)
build_deps=(
    'botan-devel'
    'cmake'
    'doxygen'
    'libgcrypt-devel'
    'libgsasl-devel'
    'openssl-devel'
    'pkcs11-helper'
    'qt5-qtbase-devel'
    'qt6-qtbase-devel'
    'qt6-qt5compat-devel'

)
opt_deps=(
    'botan: botan plugin'
    'libgcrypt: gcrypt plugin'
    'libgsasl: SASL plugin'
    'openssl: SSL plugin'
    'pkcs11-helper: PKCS-11 plugin'
)

sources=("https://download.kde.org/stable/qca/$version/qca-$version.tar.xz")
checksums=('SKIP')

build() {
  cmake -B build-qt6 -S qca-$version \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DQT6=ON \
    -DBUILD_TESTS=OFF \
    -DQCA_INSTALL_IN_QT_PREFIX=ON \
    -DQCA_MAN_INSTALL_DIR=/usr/share/man
  cmake --build build-qt6 -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build-qt6
}





