name='qmk-hid'
version='0.1.12'
release='3'
desc='Commandline tool for interacting with QMK devices over HID.'
homepage='https://github.com/FrameworkComputer/qmk_hid'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('BSD')
provides=('qmk-hid')
conflicts=('qmk-hid' 'qmk-hid-git')

deps=('libgcc'
      'systemd-libs'
      'libcap'
)
build_deps=('cargo'
            'rust-libudev-devel'
)

sources=("https://github.com/FrameworkComputer/qmk_hid/archive/v${version}.tar.gz")
checksums=('SKIP')

options=('!lto')

prepare() {
    cd $srcdir/qmk_hid-${version}
    export RUSTUP_TOOLCHAIN=stable
    cargo fetch --locked
}

build() {
    cd $srcdir/qmk_hid-${version}
    export RUSTUP_TOOLCHAIN=stable
    export CARGO_TARGET_DIR=target
    cargo build --frozen --release --all-features
}

package() {
    cd $srcdir/qmk_hid-${version}
    install-binary ./target/release/qmk_hid
    install-license ./LICENSE.md ${name}/LICENSE
}