name='qpwgraph-qt5'
version='0.7.1'
release='1'
desc='a pipewire graph using qt(qt5 version)'
homepage='https://gitlab.freedesktop.org/rncbc/qpwgraph'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='GPL'
provides=('qpwgraph')
conflicts=('qpwgraph')

deps=('alsa-lib' 'pipewire' 'qt5-base' 'qt5-svg' 'hicolor-icon-theme' 'gcc-libs' 'libpipewire' 'glibc')
build_deps=('cmake')
deps_redos=('alsa-lib' 'pipewire' 'qt5-qtbase' 'qt5-qtsvg' 'hicolor-icon-theme' 'gcc' 'pipewire-libs' 'glibc')
build_deps_redos=('alsa-lib-devel' 'cmake' 'qt5-qtbase-devel' 'qt5-qtsvg-devel' 'pipewire-devel')

sources=("https://gitlab.freedesktop.org/rncbc/qpwgraph/-/archive/v$version/${name%-qt5}-v$version.tar.gz")
checksums=('SKIP')

build() {
cd $srcdir
cmake -B build -S "${name%-qt5}-v$version" -DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_PREFIX=/usr -DCONFIG_WAYLAND=ON -DCONFIG_QT6=OFF
cmake --build build -j$(($(nproc) - 1))
}

package() {
DESTDIR="$pkgdir" cmake --install build
}