name='qt6-qtgraphs'
version='6.7.2'
release='1'
desc='Qt Graphs for data visualization'
homepage='https://www.qt.io'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='GPL3 LGPL3 FDL custom'
provides=('qt6-qtgraphs')
conflicts=('qt6-qtgraphs')

deps=('gcc-libs'
      'glibc'
      'qt6-base'
      'qt6-declarative'
      'qt6-quick3d')
build_deps=('cmake'
            'git'
            'ninja-build'
            'qt6-qtshadertools')

groups=(qt6)
_pkgfn=${name/6-/}
sources=("git+https://github.com/qt/qtgraphs.git#tag=v${version}")
checksums=('SKIP')

build() {
  cmake -B build -S qtgraphs -G Ninja -DCMAKE_MESSAGE_LOG_LEVEL=STATUS
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build

  install -d "$pkgdir"/usr/share/licenses
  ln -s /usr/share/licenses/qt6-base "$pkgdir"/usr/share/licenses/$name
}
