name='syncthing-relaysrv'
version='1.29.4'
release='1'
desc='This is the relay server for the syncthing project.'
desc_ru='Релейный сервер для проекта Syncthing.'
homepage='https://syncthing.net/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MPL-2.0')
provides=('syncthing-relaysrv')
conflicts=('syncthing-relaysrv')

deps=('glibc')
deps_debian=('libc6')
build_deps=('git' 'go')

sources=(
  "https://github.com/syncthing/relaysrv/releases/download/v${version}/strelaysrv-linux-amd64-v${version}.tar.gz"
  "https://raw.githubusercontent.com/archlinux/svntogit-community/packages/syncthing/trunk/syncthing-relaysrv.service"
  "https://raw.githubusercontent.com/archlinux/svntogit-community/packages/syncthing/trunk/syncthing-relaysrv.tmpfiles"
  "https://raw.githubusercontent.com/archlinux/svntogit-community/packages/syncthing/trunk/syncthing-relaysrv.sysusers"
)

checksums=(
  'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
)

prepare() {
	cd "${srcdir}"
}

package() {
	install-binary ./strelaysrv-linux-amd64-v${version}/strelaysrv syncthing-relaysrv
	install-systemd ./syncthing-relaysrv.service
	install-license ./strelaysrv-linux-amd64-v${version}/LICENSE.txt ./syncthing-relaysrv/LICENSE
	install -Dm644 ./syncthing-relaysrv.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/syncthing-relaysrv.conf
	install -Dm644 ./syncthing-relaysrv.sysusers ${pkgdir}/usr/lib/sysusers.d/syncthing-relaysrv.conf
	install -Dm644 ./strelaysrv-linux-amd64-v${version}/README.txt ${pkgdir}/usr/share/doc/syncthing-relaysrv/README.md
}

files() {
  	echo ./usr/bin/syncthing-relaysrv
  	echo ./usr/lib/systemd/system/syncthing-relaysrv.service
    echo ./usr/share/licenses/syncthing-relaysrv/LICENSE
  	echo ./usr/lib/tmpfiles.d/syncthing-relaysrv.conf
  	echo ./usr/lib/sysusers.d/syncthing-relaysrv.conf
    files-find-doc syncthing-relaysrv
}