name='syncthing'
version='1.29.4'
release='1'
desc='Syncthing is a continuous file synchronization program. It synchronizes files between two or more computers.'
desc_ru='Syncthing — это программа для непрерывной синхронизации файлов. Она синхронизирует файлы между двумя или более компьютерами.'
homepage='https://syncthing.net/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MPL-2.0')
provides=('syncthing')
conflicts=('syncthing')
deps=('glibc' 'syncthing-relaysrv')
deps_debian=('libc6')
build_deps=('git' 'go')

sources_amd64=("https://github.com/${provides}/${provides}/releases/download/v${version}/${provides}-linux-amd64-v${version}.tar.gz")
checksums_amd64=('SKIP')

prepare() {
	cd "${srcdir}"
}

package() {
	install-binary ./${name}-linux-amd64-v${version}/syncthing
	install -Dm644 ./${name}-linux-amd64-v${version}/README.txt ${pkgdir}/usr/share/doc/syncthing/README.md
	install-systemd ./${name}-linux-amd64-v${version}/etc/linux-systemd/system/syncthing@.service
	install-systemd-user ./${name}-linux-amd64-v${version}/etc/linux-systemd/user/syncthing.service
	install-desktop ./${name}-linux-amd64-v${version}/etc/linux-desktop/syncthing-start.desktop
	install-desktop ./${name}-linux-amd64-v${version}/etc/linux-desktop/syncthing-ui.desktop
	install-license ./${name}-linux-amd64-v${version}/LICENSE.txt syncthing/LICENSE
}

files() {
  	echo ./usr/bin/syncthing
    files-find-doc syncthing
  	echo ./usr/lib/systemd/system/syncthing@.service
  	echo ./usr/lib/systemd/user/syncthing.service
  	echo ./usr/share/applications/syncthing-start.desktop
  	echo ./usr/share/applications/syncthing-ui.desktop
  	echo ./usr/share/licenses/syncthing/LICENSE
}