name='telegram-desktop-bin'
version='5.13.1'
release='1'
desc='Official desktop version of Telegram messaging app - Static binaries'
homepage='https://github.com/telegramdesktop/tdesktop'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPLv3')
provides=('telegram-desktop')
conflicts=('telegram-desktop')

deps=('desktop-file-utils' 'fontconfig' 'glib2' 'hicolor-icon-theme' 'dbus-libs' 'libX11' 'xdg-utils')
deps_altlinux=('desktop-file-utils' 'glib2' 'hicolor-icon-theme' 'libdbus' 'libX11' 'xdg-utils')
deps_rosa=('desktop-file-utils' 'glib2' 'hicolor-icon-theme' 'lib64dbus-1_3' 'libX11' 'xdg-utils')

build_deps=('chrpath')

opt_deps=(
         	'libappindicator-gtk2: скрыть Telegram в панели задач в среде рабочего стола на основе GTK2'
         	'libappindicator-gtk3: скрыть Telegram в панели задач в среде рабочего стола на основе GTK3'
         )
opt_deps_altlinux=(
         	'libappindicator-gtk3: скрыть Telegram в панели задач в среде рабочего стола на основе GTK3'
         )
opt_deps_debian=(
          'lib64appindicator3-1: скрыть Telegram в панели задач в среде рабочего стола на основе GTK3'
)
opt_deps_redos=(
          'libappindicator-gtk3: скрыть Telegram в панели задач в среде рабочего стола на основе GTK3'
)
opt_deps_rosa=(
         	'lib64appindicator3_1: скрыть Telegram в панели задач в среде рабочего стола на основе GTK3'
         )

sources=(
	"${homepage}/raw/master/Telegram/Resources/art/icon16.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon32.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon48.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon64.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon128.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon256.png"
	"${homepage}/raw/master/Telegram/Resources/art/icon512.png"
	"https://github.com/telegramdesktop/tdesktop/releases/download/v${version}/tsetup.${version}.tar.xz"
	)

checksums=(
	'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
	'SKIP'
)

package() {

	cd "${srcdir}/"

	# Создание необходимых каталогов
	mkdir -p "${pkgdir}/usr/bin"
	mkdir -p "${pkgdir}/usr/share/pixmaps/"
	mkdir -p "${pkgdir}/usr/share/applications"
	# Исполняемый файл
	install-binary "${srcdir}/Telegram/Telegram" telegram-desktop

	# Удаление информации RPATH
	chrpath --delete "${pkgdir}/usr/bin/telegram-desktop"

	# Desktop launcher
	install -Dm644 "${srcdir}/icon256.png" "${pkgdir}/usr/share/pixmaps/telegram.png"
	install-desktop "${scriptdir}/${name}.desktop"

	# KDE5 protocol file
	install -d "${pkgdir}/usr/share/kservices5"
	install -m644 "${scriptdir}/tg.protocol" "${pkgdir}/usr/share/kservices5/tg.protocol"

	# Icons
	local icon_size icon_dir
	for icon_size in 16 32 48 64 128 256 512; do
		icon_dir="${pkgdir}/usr/share/icons/hicolor/${icon_size}x${icon_size}/apps"
		install -d "${icon_dir}"
		install -m644 "${srcdir}/icon${icon_size}.png" "${icon_dir}/telegram.png"
	done

	# Disable the official Telegram Desktop updater
  mkdir -p "$pkgdir/usr/share/TelegramDesktop/externalupdater.d"
	echo "/usr/bin/telegram-desktop" >"$pkgdir/usr/share/TelegramDesktop/externalupdater.d/telegram-desktop.conf"
}

files() {
  echo ./usr/bin/telegram-desktop
  echo ./usr/share/TelegramDesktop/externalupdater.d/telegram-desktop.conf
  echo ./usr/share/pixmaps/telegram.png
  echo ./usr/share/kservices5/tg.protocol
  echo ./usr/share/applications/telegram-desktop-bin.desktop
  printf '"%s" ' ./usr/share/icons/hicolor/**/apps/
}
