name='trompeloeil'
version='49'
release='1'
desc='Thread-safe header-only mocking framework for C++11/14.'
homepage='https://github.com/rollbear/trompeloeil'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('BSL-1.0')
provides=('catch2')
conflicts=('catch2', 'catch2-devel')

build_deps=(
    'cmake'
    'catch2'
    'ninja-build'
)

sources=("https://github.com/rollbear/trompeloeil/archive/v${version}.tar.gz")
checksums=('SKIP')

build() {
  cd $srcdir/$name-$version
  cmake \
    -Bbuild \
    -GNinja \
    -DCMAKE_BUILD_TYPE='Debug' \
    -DCMAKE_INSTALL_PREFIX='/usr' \
    -DTROMPELOEIL_INSTALL_TARGETS=ON \
    -DTROMPELOEIL_INSTALL_DOCS=OFF \
    -DTROMPELOEIL_BUILD_TESTS=yes \
    -Wno-dev
  cmake --build build --verbose --target self_test thread_terror custom_recursive_mutex -j$(($(nproc) - 1))
}

check() {
  ./build/test/self_test || exit -1
  ./build/test/thread_terror || exit -1
  ./build/test/custom_recursive_mutex || exit -1
}

package() {
  cd $srcdir/$name-$version
  DESTDIR="${pkgdir}" cmake --install build
  install -Dm644 "${srcdir}/${name}-${version}/LICENSE_1_0.txt" "${pkgdir}/usr/share/licenses/${name}/LICENSE"
}
