name='veyon'
version='4.9.0'
release='1'
desc='Cross-platform computer monitoring and classroom management.'
homepage='https://veyon.io/'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL2')
provides=('veyon')
conflicts=('veyon' 'veyon-bin' 'veyon-git')

deps=(
    'hicolor-icon-theme'
    'libfakekey'
    'libjpeg-turbo'
    'openldap'
    'libgsasl'
    'libvncserver'
    'libXcomposite'
    'libXcursor'
    'libXdamage'
    'libXext'
    'libXfixes'
    'libXinerama'
    'libXrandr'
    'libXtst'
    'lzo'
    'openssl'
    'pam'
    'procps-ng'
    'qca-qt6'
    'qt6-qtbase'
)
build_deps=(
    'clang'
    'cmake'
    'git'
    'qt6-qtbase-devel'
    'qt6-qtdeclarative-devel'
    'qt6-qthttpserver-devel'
    'qt6-qttools-devel'
    'qt6-qt5compat-devel'
    'libpng-devel'
    'libjpeg-devel'
    'lzo-devel'
    'openldap-devel'
    'pam-devel'
    'procps-ng-devel'
    'libXtst-devel'
    'libXrandr-devel'
    'libXinerama-devel'
    'libXdamage-devel'
)
opt_deps=(
    'kf5-kldap: KDE support'
)

sources=(
    "git+https://github.com/veyon/veyon.git#tag=v${version}"
    'git+https://github.com/veyon/ultravnc.git'
    'git+https://invent.kde.org/pim/kldap.git'
    'git+https://github.com/veyon/libvncserver.git'
    'git+https://github.com/veyon/x11vnc.git'
    'git+https://github.com/veyon/libfakekey.git'
    'git+https://github.com/veyon/qthttpserver.git'
    'git+https://github.com/nodejs/http-parser.git'
    'git+https://github.com/novnc/noVNC.git'
)
checksums=(
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
    'SKIP'
)

prepare() {
  cd "$srcdir/$name"
  git submodule init
  git config submodule.3rdparty/ultravnc.url "$srcdir/ultravnc"
  git config submodule.3rdparty/kldap.url "$srcdir/kldap"
  git config submodule.3rdparty/libvncserver.url "$srcdir/libvncserver"
  git config submodule.3rdparty/x11vnc.url "$srcdir/x11vnc"
  git config submodule.3rdparty/libfakekey.url "$srcdir/libfakekey"
  git config submodule.3rdparty/qthttpserver.url "$srcdir/qthttpserver"
  git config submodule.3rdparty/kldap-qt-compat.url "$srcdir/kldap"
  git -c protocol.file.allow=always submodule update

  cd "$srcdir/$name"
  pushd 3rdparty/qthttpserver
  git submodule init
  git config submodule.src/3rdparty/http-parser.url "$srcdir/http-parser"
  git -c protocol.file.allow=always submodule update
  popd

  cd "$srcdir/$name"
  pushd 3rdparty/libvncserver
  git config submodule.webclients/novnc.url "$srcdir/noVNC"
  git -c protocol.file.allow=always submodule update
  popd
}

build() {
  cmake -B build -S "$name" \
    -DCMAKE_BUILD_TYPE='RelWithDebInfo' \
    -DCMAKE_INSTALL_PREFIX='/usr' \
    -DSYSTEMD_SERVICE_INSTALL_DIR='/usr/lib/systemd/system' \
    -DWITH_QT6=ON -DVEYON_DEBUG=ON \
    -Wno-dev
  cmake --build build  -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}

