name='vial'
version='0.7.3'
release='1'
desc='Vial is an open-source cross-platform (Windows, Linux and Mac) GUI and a QMK fork for configuring your keyboard in real time, similar to VIA.'
homepage='https://get.vial.today/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL2')
provides=('vial')
conflicts=('vial' 'vial-bin' 'vial-git')

deps=('fuse')

sources=("https://github.com/vial-kb/vial-gui/releases/download/v${version}/Vial-v${version}-x86_64.AppImage?~archive=false")
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

prepare() {
    chmod +x Vial-v${version}-x86_64.AppImage
    sleep 5
    ./Vial-v${version}-x86_64.AppImage --appimage-extract
}

build() {
    cd ${srcdir}/squashfs-root/
    sed -i -E "s|Exec=Vial|Exec=env DESKTOPINTEGRATION=false /usr/bin/${name}|" ./Vial.desktop

    chmod -R a-x+rX ./usr
}

package() {

    install -Dm755 "${srcdir}/Vial-v${version}-x86_64.AppImage" "${pkgdir}/opt/${name}/${name}.AppImage"
    install-desktop ${srcdir}/squashfs-root/Vial.desktop vial

    install -dm755 "${pkgdir}/usr/share/"
    cp -a "${srcdir}/squashfs-root/usr/share/icons" "${pkgdir}/usr/share/"

    install -dm755 "${pkgdir}/usr/bin"
    ln -s "${pkgdir}/opt/vial/vial.AppImage" "${pkgdir}/usr/bin/${name}"

    install -Dm644 "${scriptdir}/99-vial.rules" "${pkgdir}/usr/lib/udev/rules.d/99-vial.rules"
}

files() {
  echo ./opt/vial/vial.AppImage
  echo ./usr/bin/vial
  echo ./usr/lib/udev/rules.d/99-vial.rules
  echo ./usr/share/applications/vial
  printf '"%s" ' ./usr/share/icons/hicolor/**/apps/Vial.png
}
